curl --request POST \
--url https://api.sandbox.usenash.com/v1/dispatch-and-manifest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orders": [
{
"externalId": "<string>",
"pickupAddress": "<string>",
"pickupPlaceId": "<string>",
"pickupPhoneNumber": "<string>",
"pickupBusinessName": "<string>",
"pickupFirstName": "<string>",
"pickupLastName": "<string>",
"pickupInstructions": "<string>",
"pickupStoreLocationId": "<string>",
"pickupExternalStoreLocationId": "<string>",
"pickupStoreLocationIds": [
"<string>"
],
"pickupZoneIds": [
"<string>"
],
"pickupBarcodes": [
"<string>"
],
"pickupEmail": "<string>",
"dropoffAddress": "<string>",
"dropoffPlaceId": "<string>",
"dropoffPhoneNumber": "<string>",
"dropoffBusinessName": "<string>",
"dropoffFirstName": "<string>",
"dropoffLastName": "<string>",
"dropoffInstructions": "<string>",
"dropoffBarcodes": [
"<string>"
],
"dropoffEmail": "<string>",
"deliveryMode": "<string>",
"pickupStartTime": "2023-11-07T05:31:56Z",
"pickupEndTime": "2023-11-07T05:31:56Z",
"dropoffStartTime": "2023-11-07T05:31:56Z",
"dropoffEndTime": "2023-11-07T05:31:56Z",
"deliveryWindowId": "<string>",
"description": "<string>",
"itemsCount": 123,
"currency": "<string>",
"valueCents": 123,
"tipAmountCents": 123,
"requirements": [
"photo_proof_of_delivery",
"age_verification_on_delivery"
],
"minimumVehicleSize": "car",
"dispatchStrategyId": "<string>",
"orderMetadata": {},
"tags": [
"<string>"
],
"referenceId": "<string>",
"pickupAddressNumber": "<string>",
"pickupAddressSecondarynumber": "<string>",
"pickupAddressFormattedStreet": "<string>",
"pickupAddressCity": "<string>",
"pickupAddressCounty": "<string>",
"pickupAddressState": "<string>",
"pickupAddressZip": "<string>",
"pickupAddressCountry": "<string>",
"pickupLat": 123,
"pickupLng": 123,
"dropoffAddressNumber": "<string>",
"dropoffAddressSecondarynumber": "<string>",
"dropoffAddressFormattedStreet": "<string>",
"dropoffAddressCity": "<string>",
"dropoffAddressCounty": "<string>",
"dropoffAddressState": "<string>",
"dropoffAddressZip": "<string>",
"dropoffAddressCountry": "<string>",
"dropoffLat": 123,
"dropoffLng": 123,
"weight": 123,
"height": 123,
"width": 123,
"depth": 123,
"items": [
{
"id": "abc-123",
"description": "A box of books",
"count": 2,
"dimensions": {
"depth": 14,
"height": 10,
"width": 12
},
"weight": 1.5,
"valueCents": 1000,
"requirements": [
"age_verification_on_delivery"
],
"category": "<string>",
"barcode": "0199312650999998913643M221872801002010908",
"metadata": {
"packaging_type": "CTN"
},
"subItems": [
{
"id": "abc-123",
"description": "A box of books",
"count": 2,
"dimensions": {
"depth": 14,
"height": 10,
"width": 12
},
"weight": 1.5,
"valueCents": 1000,
"requirements": [
"age_verification_on_delivery"
],
"category": "<string>",
"barcode": "0199312650999998913643M221872801002010908",
"metadata": {
"packaging_type": "CTN"
},
"sku": "<string>",
"substitution": {
"preference": "<string>",
"source": "<string>",
"substituteItems": [
{
"id": "<string>",
"sku": "<string>",
"quantity": 123
}
]
},
"subItems": "<unknown>"
}
]
}
],
"optimizationParameters": {
"pickupDoorstepTimeSeconds": 90,
"dropoffDoorstepTimeSeconds": 180,
"costsByMetric": {
"distance": 10,
"weight": 200
},
"clusterLabel": "<string>",
"mxLabel": "<string>",
"assignmentPriority": 1,
"sequencePriority": 249,
"sequenceGroup": "<string>"
},
"pickupPayment": {
"barcode": {
"type": "CODE128",
"value": "1234567890"
},
"providerCard": true
},
"reapplyAutomations": true,
"maxDeliveryFeeCents": 123,
"shippingDetails": {
"providerId": "<string>",
"providerConsignmentId": "<string>",
"providerExternalId": "<string>",
"speed": "STANDARD",
"type": "NEUTRAL",
"movementType": "DESPATCH",
"chargeAccountId": "<string>",
"sortCode": "PCLOAD-01"
}
}
]
}
'import requests
url = "https://api.sandbox.usenash.com/v1/dispatch-and-manifest"
payload = { "orders": [
{
"externalId": "<string>",
"pickupAddress": "<string>",
"pickupPlaceId": "<string>",
"pickupPhoneNumber": "<string>",
"pickupBusinessName": "<string>",
"pickupFirstName": "<string>",
"pickupLastName": "<string>",
"pickupInstructions": "<string>",
"pickupStoreLocationId": "<string>",
"pickupExternalStoreLocationId": "<string>",
"pickupStoreLocationIds": ["<string>"],
"pickupZoneIds": ["<string>"],
"pickupBarcodes": ["<string>"],
"pickupEmail": "<string>",
"dropoffAddress": "<string>",
"dropoffPlaceId": "<string>",
"dropoffPhoneNumber": "<string>",
"dropoffBusinessName": "<string>",
"dropoffFirstName": "<string>",
"dropoffLastName": "<string>",
"dropoffInstructions": "<string>",
"dropoffBarcodes": ["<string>"],
"dropoffEmail": "<string>",
"deliveryMode": "<string>",
"pickupStartTime": "2023-11-07T05:31:56Z",
"pickupEndTime": "2023-11-07T05:31:56Z",
"dropoffStartTime": "2023-11-07T05:31:56Z",
"dropoffEndTime": "2023-11-07T05:31:56Z",
"deliveryWindowId": "<string>",
"description": "<string>",
"itemsCount": 123,
"currency": "<string>",
"valueCents": 123,
"tipAmountCents": 123,
"requirements": ["photo_proof_of_delivery", "age_verification_on_delivery"],
"minimumVehicleSize": "car",
"dispatchStrategyId": "<string>",
"orderMetadata": {},
"tags": ["<string>"],
"referenceId": "<string>",
"pickupAddressNumber": "<string>",
"pickupAddressSecondarynumber": "<string>",
"pickupAddressFormattedStreet": "<string>",
"pickupAddressCity": "<string>",
"pickupAddressCounty": "<string>",
"pickupAddressState": "<string>",
"pickupAddressZip": "<string>",
"pickupAddressCountry": "<string>",
"pickupLat": 123,
"pickupLng": 123,
"dropoffAddressNumber": "<string>",
"dropoffAddressSecondarynumber": "<string>",
"dropoffAddressFormattedStreet": "<string>",
"dropoffAddressCity": "<string>",
"dropoffAddressCounty": "<string>",
"dropoffAddressState": "<string>",
"dropoffAddressZip": "<string>",
"dropoffAddressCountry": "<string>",
"dropoffLat": 123,
"dropoffLng": 123,
"weight": 123,
"height": 123,
"width": 123,
"depth": 123,
"items": [
{
"id": "abc-123",
"description": "A box of books",
"count": 2,
"dimensions": {
"depth": 14,
"height": 10,
"width": 12
},
"weight": 1.5,
"valueCents": 1000,
"requirements": ["age_verification_on_delivery"],
"category": "<string>",
"barcode": "0199312650999998913643M221872801002010908",
"metadata": { "packaging_type": "CTN" },
"subItems": [
{
"id": "abc-123",
"description": "A box of books",
"count": 2,
"dimensions": {
"depth": 14,
"height": 10,
"width": 12
},
"weight": 1.5,
"valueCents": 1000,
"requirements": ["age_verification_on_delivery"],
"category": "<string>",
"barcode": "0199312650999998913643M221872801002010908",
"metadata": { "packaging_type": "CTN" },
"sku": "<string>",
"substitution": {
"preference": "<string>",
"source": "<string>",
"substituteItems": [
{
"id": "<string>",
"sku": "<string>",
"quantity": 123
}
]
},
"subItems": "<unknown>"
}
]
}
],
"optimizationParameters": {
"pickupDoorstepTimeSeconds": 90,
"dropoffDoorstepTimeSeconds": 180,
"costsByMetric": {
"distance": 10,
"weight": 200
},
"clusterLabel": "<string>",
"mxLabel": "<string>",
"assignmentPriority": 1,
"sequencePriority": 249,
"sequenceGroup": "<string>"
},
"pickupPayment": {
"barcode": {
"type": "CODE128",
"value": "1234567890"
},
"providerCard": True
},
"reapplyAutomations": True,
"maxDeliveryFeeCents": 123,
"shippingDetails": {
"providerId": "<string>",
"providerConsignmentId": "<string>",
"providerExternalId": "<string>",
"speed": "STANDARD",
"type": "NEUTRAL",
"movementType": "DESPATCH",
"chargeAccountId": "<string>",
"sortCode": "PCLOAD-01"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orders: [
{
externalId: '<string>',
pickupAddress: '<string>',
pickupPlaceId: '<string>',
pickupPhoneNumber: '<string>',
pickupBusinessName: '<string>',
pickupFirstName: '<string>',
pickupLastName: '<string>',
pickupInstructions: '<string>',
pickupStoreLocationId: '<string>',
pickupExternalStoreLocationId: '<string>',
pickupStoreLocationIds: ['<string>'],
pickupZoneIds: ['<string>'],
pickupBarcodes: ['<string>'],
pickupEmail: '<string>',
dropoffAddress: '<string>',
dropoffPlaceId: '<string>',
dropoffPhoneNumber: '<string>',
dropoffBusinessName: '<string>',
dropoffFirstName: '<string>',
dropoffLastName: '<string>',
dropoffInstructions: '<string>',
dropoffBarcodes: ['<string>'],
dropoffEmail: '<string>',
deliveryMode: '<string>',
pickupStartTime: '2023-11-07T05:31:56Z',
pickupEndTime: '2023-11-07T05:31:56Z',
dropoffStartTime: '2023-11-07T05:31:56Z',
dropoffEndTime: '2023-11-07T05:31:56Z',
deliveryWindowId: '<string>',
description: '<string>',
itemsCount: 123,
currency: '<string>',
valueCents: 123,
tipAmountCents: 123,
requirements: ['photo_proof_of_delivery', 'age_verification_on_delivery'],
minimumVehicleSize: 'car',
dispatchStrategyId: '<string>',
orderMetadata: {},
tags: ['<string>'],
referenceId: '<string>',
pickupAddressNumber: '<string>',
pickupAddressSecondarynumber: '<string>',
pickupAddressFormattedStreet: '<string>',
pickupAddressCity: '<string>',
pickupAddressCounty: '<string>',
pickupAddressState: '<string>',
pickupAddressZip: '<string>',
pickupAddressCountry: '<string>',
pickupLat: 123,
pickupLng: 123,
dropoffAddressNumber: '<string>',
dropoffAddressSecondarynumber: '<string>',
dropoffAddressFormattedStreet: '<string>',
dropoffAddressCity: '<string>',
dropoffAddressCounty: '<string>',
dropoffAddressState: '<string>',
dropoffAddressZip: '<string>',
dropoffAddressCountry: '<string>',
dropoffLat: 123,
dropoffLng: 123,
weight: 123,
height: 123,
width: 123,
depth: 123,
items: [
{
id: 'abc-123',
description: 'A box of books',
count: 2,
dimensions: {depth: 14, height: 10, width: 12},
weight: 1.5,
valueCents: 1000,
requirements: ['age_verification_on_delivery'],
category: '<string>',
barcode: '0199312650999998913643M221872801002010908',
metadata: {packaging_type: 'CTN'},
subItems: [
{
id: 'abc-123',
description: 'A box of books',
count: 2,
dimensions: {depth: 14, height: 10, width: 12},
weight: 1.5,
valueCents: 1000,
requirements: ['age_verification_on_delivery'],
category: '<string>',
barcode: '0199312650999998913643M221872801002010908',
metadata: {packaging_type: 'CTN'},
sku: '<string>',
substitution: {
preference: '<string>',
source: '<string>',
substituteItems: [{id: '<string>', sku: '<string>', quantity: 123}]
},
subItems: '<unknown>'
}
]
}
],
optimizationParameters: {
pickupDoorstepTimeSeconds: 90,
dropoffDoorstepTimeSeconds: 180,
costsByMetric: {distance: 10, weight: 200},
clusterLabel: '<string>',
mxLabel: '<string>',
assignmentPriority: 1,
sequencePriority: 249,
sequenceGroup: '<string>'
},
pickupPayment: {barcode: {type: 'CODE128', value: '1234567890'}, providerCard: true},
reapplyAutomations: true,
maxDeliveryFeeCents: 123,
shippingDetails: {
providerId: '<string>',
providerConsignmentId: '<string>',
providerExternalId: '<string>',
speed: 'STANDARD',
type: 'NEUTRAL',
movementType: 'DESPATCH',
chargeAccountId: '<string>',
sortCode: 'PCLOAD-01'
}
}
]
})
};
fetch('https://api.sandbox.usenash.com/v1/dispatch-and-manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"manifests": [
{
"providerId": "<string>",
"orderIds": [
"<string>"
],
"documents": [
{
"id": "<string>",
"url": "<string>",
"contentType": "<string>"
}
]
}
],
"errors": [
{
"stage": "<string>",
"message": "<string>",
"identifier": "<string>",
"orderId": "<string>",
"details": {}
}
]
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Dispatch and Manifest Orders
Create, autodispatch, and manifest shipping orders in a single request. Each order is created, autodispatched using the org’s dispatch strategy, then manifested with the provider it landed on. Per-order failures are returned in errors instead of aborting the batch. shippingDetails on an order, if provided, is folded into orderMetadata.shipping_details before create so providers can consume it during manifest.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Create, dispatch, and manifest orders in a single request.
Orders to create, dispatch, and manifest.
Show child attributes
Show child attributes
Response
OK
Manifest results for orders that successfully created, dispatched, and manifested.
Show child attributes
Show child attributes
Per-order failures encountered during create, dispatch, validate, or manifest.
Show child attributes
Show child attributes
Was this page helpful?